<?php

namespace App\Http\Controllers;
use App\product;  
use App\Order;
use App\Bundle;
use App\Customer;
use App\OrderDetail;
use App\BundleDetail;
use App\Country;
use App\cod;
use Illuminate\Http\Request;
use Redirect;
use PDF;
use Auth;
use DB;

class OrdersController extends Controller
{


    public function __construct()
    {
        $this->middleware('auth');
    }



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
   public function index(Request $request)

    {
        $customers = Order::get();
         
         
        $orders = Order::orderBy('id','desc')->paginate(10);

       $search = $request->get('search');

           if(!empty($search)){
        $se= Customer::orderBy('id','asc')->where('Phone','like', '%'.$search.'%')->first();
        
        if($se){
           $orders =  Order::where('customer_id',$se->id)->orderBy('id','desc')->paginate(10);  
        }
        else{

                $orders = null;
        }
        }
        

        return view('frontview.home.allorderscontents',compact('orders'));

    }


     

    



    public function pendding()
    {


        $data['orders'] = Order::where('optradio','pendding')->paginate(10);

        return view('frontview.home.pendding',$data);

    }
  
  
  
  public function new()
    {


        $data['orders'] = Order::where('optradio','new')->paginate(10);

        return view('frontview.home.new',$data);

        
    }
    
    

    public function confirmed()
    {

        $user = Auth::user()->is_admin== 2;
        $data['orders'] = Order::where('optradio','confirmed')->paginate(10);

        return view('frontview.home.confirmed',$data);
       

        
    }

    public function cancele()
    {


        $data['orders'] = Order::where('optradio','cancelled')->paginate(10);

        return view('frontview.home.cancele',$data);

        
    }
    public function delivered()
    {


        $data['orders'] = Order::where('optradio','delivered')->paginate(10);



        return view('frontview.home.delivered',$data);

        
    }

public function fulfil()
    {


        $data['orders'] = Order::where('optradio','fulfil')->paginate(10);


        return view('frontview.home.fulfil',$data);

        
    }

    public function back()
    {


        $data['orders'] = Order::where('optradio','back')->paginate(10);

        return view('frontview.home.back',$data);

        
    }

       public function send()
    {


        $data['orders'] = Order::where('optradio','send')->paginate(10);

        return view('frontview.home.send',$data);

        
    }


    public function returned()
    {


        $data['orders'] = Order::where('optradio','returned')->paginate(10);



        return view('frontview.home.returned',$data);

        
    }

    


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $orders= Order::all();

        $products = Product::all();
        $bundles = Bundle::all();
        $countries = DB::table("countries")->pluck("name");
         $states = DB::table("states")->pluck("name");
        

        return view ('frontview.home.addorderscontents', compact('bundles','products','countries','states','orders'));
            
    }



    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
    $request->validate([
        'name' => 'required',
        'Address' => 'required',
        'city' => 'required',
        'order_by' => 'required',
        'Phone' => 'required',
        'order_from' => 'required',
        'gender' => 'required',
        
    ]);
     
 

      $customer = Customer::where('Phone',$request->Phone)->first();
    if(empty($customer)){
    $customer = new Customer();
    $customer->name = $request->name;
    $customer->Address = $request->Address;
    $customer->city = $request->city;
    $customer->Phone =  $request->Phone;
    $customer->gender = $request->gender;
    $customer->save();
}

    $cid = $customer->id;
    if($cid > 0){
    $order = new Order();
    $order->customer_id = $cid; 
    $order->order_from = $request->order_from;
      
    $order->optradio =  "new";
    $order->bar =  "pendding";
    
    $order->remarks =  $request->remarks;
    $order->order_by = $request->order_by;
    $order->pt_price = $request->pt_price;
    $order->bt_price = $request->bt_price;
    $order->ot_price=$request->ot_price;
    $fig= $order->weight=$request->ot_weight;
     $opo =(round($fig,3));
     $order->weight=$opo;
     
    /*$tw=$order->weight;
    $countr=Country::where('name',$request->city)->first();
     $half=$countr->half_kg;
     $full = $countr->one_kg;
    
    if($tw<=0.500)
    {
     $tc=$half;
     
     $order->cod_fee=$tc;
    }
    elseif ($tw > 0.500 && $tw <= 1) {
         $tc= $full;
         $order->cod_fee=$tc;
         
     
    }
    else{
      

      $a = $tw;
      $a1 = substr($a, 0, strpos($a, "."));

    $add = $a1+1;
    
    $after_one_kg = $add*$full;

        $order->cod_fee=$after_one_kg;


       



    }*/
    
    $deli= $order->ot_price;
    if ($deli<949) { 
    $order->dp= '250';
     $deli= $order->ot_price+250;
    }    
   $order->ot_price=$deli;
     $order->save();

 }




   
   




$j = $order->id;
  if ($request['product_id'] != null){
    if($j > 0){
      for($id = 0; $id < count($request['product_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
        $orderdetails->product_id = $request['product_id'][$id];
      //  $orderdetails->bundle_id = $request['bundle_id'][$id];
        $orderdetails->quantity = $request['qty'][$id];
       // $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
        $orderdetails->unitprice = $request['price'][$id];
        //$orderdetails->bundleprice = $request['bundleprice'][$id];
        $orderdetails->discount = $request['dis'][$id];
        //$orderdetails->bundle_discount = $request['bundle_discount'][$id];
        $orderdetails->amount = $request['amount'][$id];
        //$orderdetails->bundle_amount = $request['bundle_amount'][$id];
       
        $orderdetails->save();
      }
    }
  }
    if(($request['bundle_id'] != null)){


      if($j > 0){
      for($id = 0; $id < count($request['bundle_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
       // $orderdetails->product_id = $request['product_id'][$id];
       $orderdetails->bundle_id = $request['bundle_id'][$id];
      //  $orderdetails->quantity = $request['qty'][$id];
        $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
       // $orderdetails->unitprice = $request['price'][$id];
        $orderdetails->bundleprice = $request['bundleprice'][$id];
        //$orderdetails->discount = $request['dis'][$id];
        $orderdetails->gifts = $request['gifts'][$id];
        //$orderdetails->amount = $request['amount'][$id];
        $orderdetails->bundle_amount = $request['bundle_amount'][$id];

        

       
        $orderdetails->save();
      }
    }

    }
      
    




    


        //Order::create($request->all());
    
    return Redirect::to('orders')
    ->with('success','Greate! Orders created successfully.');
    }


    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
 public function show($id)
    {  

     
    $orders = OrderDetail::where('order_id',$id)->get();
                 
        foreach ($orders as $key => $value) {
            $order  = Order::where('id',$value->order_id)->first();
           
             $previous = Order::where('id', '<', $value->order_id)->max('id');

                 $next = Order::where('id', '>', $value->order_id)->min('id');
             





           

           }

              
      return view('frontview.home.show_orders_contents',compact('orders','order','previous','next'));

    }
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */

    public function edit($id)
    {   

        $where = array('id' => $id);

        $order = Order::where($where)->first();


        $products = Product::all();
        $bundles = Bundle::all();
        $countries = DB::table("countries")->pluck("name");


        return view('frontview.home.order_edit_content',compact('order','products','bundles','countries'));
    }


       

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {



        $request->validate([
            'name' => 'required',
        'Address' => 'required',
        'city' => 'required',
        'order_by' => 'required',
        'Phone' => 'required',
        'remarks' => 'required',
        'order_from' => 'required',
        'gender' => 'required',
        ]);
         
        $update = ['name' => $request->name,'Address' => $request->Address,'city' => $request->city,
    'order_by' => $request->order_by,'Phone' => $request->Phone,'remarks' => $request->remarks,'order_from' => $request->order_from,'gender' => $request->gender,];
              Order::where('id',$id)->update($update);

              $OrderDetail = OrderDetail::where('order_id',$id)->get();
         if(!empty( $OrderDetail )){
            foreach ($OrderDetail as $key => $value) {
                $value->delete();
            }


}
    $j = $order->id;
  if ($request['product_id'] != null){
    if($j > 0){
      for($id = 0; $id < count($request['product_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
        $orderdetails->product_id = $request['product_id'][$id];
      //  $orderdetails->bundle_id = $request['bundle_id'][$id];
        $orderdetails->quantity = $request['qty'][$id];
       // $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
        $orderdetails->unitprice = $request['price'][$id];
        //$orderdetails->bundleprice = $request['bundleprice'][$id];
        $orderdetails->discount = $request['dis'][$id];
        //$orderdetails->bundle_discount = $request['bundle_discount'][$id];
        $orderdetails->amount = $request['amount'][$id];
        //$orderdetails->bundle_amount = $request['bundle_amount'][$id];
       
        $orderdetails->save();
      }
    }
  }
    if(($request['bundle_id'] != null)){


      if($j > 0){
      for($id = 0; $id < count($request['bundle_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
       // $orderdetails->product_id = $request['product_id'][$id];
       $orderdetails->bundle_id = $request['bundle_id'][$id];
      //  $orderdetails->quantity = $request['qty'][$id];
        $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
       // $orderdetails->unitprice = $request['price'][$id];
        $orderdetails->bundleprice = $request['bundleprice'][$id];
        //$orderdetails->discount = $request['dis'][$id];
        $orderdetails->gifts = $request['gifts'][$id];
        //$orderdetails->amount = $request['amount'][$id];
        $orderdetails->bundle_amount = $request['bundle_amount'][$id];

        

       
        $orderdetails->save();
      }
    }

    }
      






        return Redirect::to('orders')
        ->with('success','Great! Product updated successfully');
    }


    public function changestatus(Request $request){
        
        $odd =  Order::where('id',$request->id)->first();
      
      $next = Order::where('id', '>', $odd->id)->min('id');
              
     if($request->optradio == "send"){
        

     
            

        
      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
        
           $obj->gift=$request->gift;
         $obj->g_price=$request->g_price;
         $obj->save();
         $details_order = OrderDetail::where('order_id',$obj->id)->get();
         if(!empty($details_order)){
         // $i= 0;
         foreach ($details_order as $key => $product_order) {
             $product   =  Product::where('id',$product_order->product_id)->first();
            
             if(!empty($product)){
                    $update = $product->Quantity - $product_order->quantity;
                    $update_colum = ['Quantity'=> $update];
                   $product   =  Product::where('id',$product_order->product_id)->update($update_colum);
                   
                  
             }
            
      
         }
         // new bundle code ////
         
          foreach ($details_order as $key => $product_order) {

             $BundleDetail   =  BundleDetail::where('bundle_id',$product_order->bundle_id)->get();
              
             if(!empty($BundleDetail)){

              foreach ($BundleDetail as $key => $bundle) {
               $bundle_qunatity  = $product_order->bundle_quantity;
              $total_bundle  =  $bundle_qunatity * $bundle->quantity;
            
                $product   =  Product::where('id',$bundle->product_id)->first();
                 if(!empty($product)){
                    $update = $product->Quantity - $total_bundle;
                    $update_colum = ['Quantity'=> $update];
                $product   =  Product::where('id',$bundle->product_id)->update($update_colum);
                   
                  
             }
              
              }
                 
             }
           
          
         }

        
          }


      
       

}






              
     if($request->optradio == "delivered"){

        

       $order =  Order::where('id',$request->id)->first();
        $countr=$order->customers->city;
        $tw=$order->weight;

       $f =  Country::where('name',$countr)->first();
         
     $half=$f->half_kg;
     
     $full = $f->one_kg;
   
    if($tw<=0.500)
    {
     $tc=$half;
    
    $order->cod_fee=$tc;
     
    }
    else if ($tw > 0.500 && $tw <= 1) {
       
         $tc= $full;
         $order->cod_fee=$tc;
         
     
    }
    else{
      

      $a = $tw;
      
      $a1 = substr($a, 0, strpos($a, "."));

    $add = $a1+1;
    
    $after_one_kg = $add*$full;
     
    $order->cod_fee=$after_one_kg;
    

          
    }

    
    $cash = $order->cod_fee;
  $order->cash_hand =$order->ot_price-$cash;



    
$order->save();




           /* $openning_balance = 0;

         
    
                            

      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
        
        $odr_amount=$obj->ot_price;

        $cod_amount =$obj->cod_fee=$request->tcs;
        
           
        $cash_hand = $odr_amount-$cod_amount;
        $openning_balance = $cash_hand;
         $obj->cash_hand = $cash_hand ;
          $obj->weight=$request->weight;
           $obj->cod_fee=$request->tcs;
            
             $obj->save();


              $getallbalance   = cod::where('type','sales')->get();

                if($getallbalance){

                    foreach ($getallbalance  as $key => $value) {
                          $openning_balance  = $openning_balance + $value->amount;

                        }
                }


            $order_id= $obj->id;
            $amount= $obj->cash_hand;
            $cod= new cod();
           $cod->detail_id = $order_id;
            $cod->amount = $cash_hand ;
            if(empty($getallbalance)){
            $cod->balance = $cash_hand;
        }else{
            $cod->balance = $openning_balance;
        }
             $cod->type = "sales";

             $cod->save();

*/
               
        
          
        

      
       

}


  if($request->optradio == "returned"){
      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
        $obj->weight=$request->weight;
        $obj->cod_fee=$request->tcs;

        $obj->save();

       

         $details_order = OrderDetail::where('order_id',$obj->id)->get();
         if(!empty($details_order)){
         // $i= 0;
         foreach ($details_order as $key => $product_order) {
             $product   =  Product::where('id',$product_order->product_id)->first();
            
             if(!empty($product)){
                    $update = $product->Quantity + $product_order->quantity;
                    $update_colum = ['Quantity'=> $update];
                   $product   =  Product::where('id',$product_order->product_id)->update($update_colum);
                   
                  
             }
            
      
         }
         // new bundle code ////
         
          foreach ($details_order as $key => $product_order) {

             $BundleDetail   =  BundleDetail::where('bundle_id',$product_order->bundle_id)->get();
              
             if(!empty($BundleDetail)){

              foreach ($BundleDetail as $key => $bundle) {
               $bundle_qunatity  = $product_order->bundle_quantity;
              $total_bundle  =  $bundle_qunatity * $bundle->quantity;
            
                $product   =  Product::where('id',$bundle->product_id)->first();
                 if(!empty($product)){
                    $update = $product->Quantity + $total_bundle;
                    $update_colum = ['Quantity'=> $update];
                $product   =  Product::where('id',$bundle->product_id)->update($update_colum);
                   
                  
             }
              
              }
                 
             }
           
          
         }

        
          }
       

}










$update = ['optradio' => $request->optradio];
Order::where('id',$request->id)->update($update);
if(Auth::user()->is_admin==1)
{
return redirect('/orders/'.$next);

}
else
{
 return redirect('/confirmed');
}
}















public function destroy($id)
{
    Order::where('id',$id)->delete();

    return Redirect::to('orders')->with('success','orders deleted successfully');
}

}