<?php
   
namespace App\Http\Controllers;
   
use App\Product;
use Illuminate\Http\Request;
use Redirect;
use PDF;
   
class ProductController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index()
    {
        $data['products'] = Product::orderBy('id','desc')->paginate(50);
   
        return view('frontview.home.allproductscontent',$data);

    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
        return view('frontview.home.addproductscontents');
    }
   
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'Quantity' => 'required',
            'price' => 'required',
            'description' => 'required',
            'tp_price' => 'required',
        ]);
   
      Product::create($request->all());




        return Redirect::to('products')

       ->with('success','Greate! Product created successfully.');
    }
    
    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request)
    {
         
    }
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {   
        $where = array('id' => $id);
        $data['product_info'] = Product::where($where)->first();
 
        return view('frontview.home.editcontent', $data);
    }
   
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            
            'Quantity' => 'required',
            'price' => 'required',
            
        ]);
         
        $update = [ 'Quantity' => $request->Quantity,'price' => $request->price];
        Product::where('id',$id)->update($update);
   
        return Redirect::to('products')
       ->with('success','Great! Product updated successfully');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Product::where('id',$id)->delete();
   
        return Redirect::to('products')->with('success','Product deleted successfully');
    }
     
}