<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Input;
use Illuminate\Http\Request;
use App\Bundle;
use App\Product;
use App\BundleDetail;
use Redirect;
use PDF;


class BundlesController extends Controller
{


    public function __construct()
    {
        $this->middleware('auth');
    }
  
    public function index()
    {
        $data['bundles'] = Bundle::orderBy('id','desc')->paginate(10);

   
        return view('frontview.home.Allbundlescontent',$data);

    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $products = Product::all();


        return view('frontview.home.addbundlescontents',compact('products'));
    }


   
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    
        //return count($request['product_id']);
        $request->validate([
            'bundle_name' => 'required',
            'bundle_description' => 'required',
        ]);
   
        $bundle = new Bundle();
        $bundle->name = $request->bundle_name;
        $bundle->description=$request->bundle_description;
        $bundle->totalvalue=$request->totalvalue; 
         $bundle->weight=$request->totalweight;
        $bundle->save();

        $j = $bundle->id;

        
        if($j > 0){
            for($id = 0; $id < count($request['product_id']); $id++){
                $bundledetails = new BundleDetail;
                $bundledetails->bundle_id = $j;
                $bundledetails->bundle_id = $bundle->id;
                $bundledetails->product_id = $request['product_id'][$id];
                $bundledetails->quantity = $request['qty'][$id];
                $bundledetails->unitprice = $request['price'][$id];
                $bundledetails->discount = $request['dis'][$id];
                $bundledetails->amount = $request['amount'][$id];
               
               
                   
                $bundledetails->save();
            }
            
        }



      
        
        return Redirect::to('bundles')
       ->with('success','Greate! Bundle created successfully.');
    }
    
    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
           
        $bundles = BundleDetail::where('bundle_id',$id)->get();
        $name = null;
        $description = null;
         $totalprice= null;
        foreach ($bundles as $key => $value) {
            $bundle  = Bundle::where('id',$value->bundle_id)->first();
             $name   = $bundle->name;

             $totalprice  = $bundle->totalvalue;
            $description  = $bundle->description;
             
               $value->product->name;


        };




       
        return view('frontview.home.show_bundles_contents',compact('bundles','name','totalprice','description'));
    }
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {   
        
        $products = Product::all();
        $where = array('id' => $id);
        $data['bundle_info'] = Bundle::where($where)->first();
        $data2['bundle_info'] = BundleDetail::where($where)->first();
 
        return view('frontview.home.edit_bundles_contents',$data,compact('products'));

    }
   
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       
        $request->validate([
            'bundle_name' => 'required',
            'bundle_description' => 'required',
        ]);
         
        $update = ['name' => $request->bundle_name,'description' => $request->bundle_description,'totalvalue' => $request->totalvalue,];
              Bundle::where('id',$id)->update($update);

         $BundleDetail = BundleDetail::where('bundle_id',$id)->get();
         if(!empty( $BundleDetail )){
            foreach ($BundleDetail as $key => $value) {
                $value->delete();
            }
}
              $j = $id;
        $bundle_id = $id;

        if($j > 0){
            for($id = 0; $id < count($request['product_id']); $id++){
                $bundledetails = new BundleDetail;
                $bundledetails->bundle_id = $bundle_id;
                $bundledetails->product_id = $request['product_id'][$id];
                $bundledetails->quantity = $request['qty'][$id];
                $bundledetails->unitprice = $request['price'][$id];
                $bundledetails->discount = $request['dis'][$id];
                $bundledetails->amount = $request['amount'][$id];
                $bundledetails->totalvalue = $request['totalvalue'][$id];
                   
                $bundledetails->save();
            }
            
        }




                 
                 

       
        
     


   
        return Redirect::to('bundles')
       ->with('success','Great! bundle updated successfully');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Bundle::where('id',$id)->delete();
   
        return Redirect::to('bundles')->with('success','Product deleted successfully');
    }
     
}

