<?php

namespace App\Http\Controllers;
use App\Product;  
use App\Order;
use App\Bundle;
use App\Customer;
use App\OrderDetail;
use App\BundleDetail;
use App\Customeraddress;
use App\Productdetail;
use App\Stock;
use Carbon\Carbon;
use App\Country;
use App\cod;
use Illuminate\Http\Request;
use Redirect;
use PDF;
use Auth;
use DB;

class OrdersController extends Controller
{


    public function __construct(Request $request)
    {
        $this->middleware('auth');
        	set_time_limit(8000000);
     
    }
    
    



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
     public function index(Request $request)

    {
        $customers = Order::get();
         
         
        $orders = Order::orderBy('id','desc')->paginate(10000000);

     $no = 1;
        

        return view('frontview.home.allorderscontents',compact('orders','no'));

    }


public function generateInvoicePDF()
    {
         
       return view('myPDF');
    }


     
public function getStates(Request $request)   
    {
         
        
         $id = $request->message;   
      
        $states = Country::where("name",$id)->first();
        return  $states;
         
}



    public function pendding()
    {


        $data['orders'] = Order::where('optradio','pendding')->paginate(10);
          $no = 1;
        return view('frontview.home.pendding',$data,compact('no'));

    }
  
  
  
  public function new()
    {


        $data['orders'] = Order::where('optradio','new')->paginate(10);

        return view('frontview.home.new',$data);

        
    }
    
    

    public function confirmed()
    {

        $user = Auth::user()->is_admin== 2;
        $data['orders'] = Order::where('optradio','confirmed')->paginate(10);
      $no = 1;
        return view('frontview.home.confirmed',$data,compact('no'));
       

        
    }

    public function cancele()
    {


        $data['orders'] = Order::where('optradio','cancelled')->paginate(10);
        $no = 1;

        return view('frontview.home.cancele',$data,compact('no'));

        
    }
    public function delivered()
    {


        $data['orders'] = Order::where('optradio','delivered')->orderBy('id','desc')->paginate(1000000000);

$no = 1;

        return view('frontview.home.delivered',$data,compact('no'));

        
    }

public function fulfil()
    {


        $data['orders'] = Order::where('optradio','fulfil')->paginate(10);


        return view('frontview.home.fulfil',$data);

        
    }

    public function back()
    {


        $data['orders'] = Order::where('optradio','back')->paginate(10);

        return view('frontview.home.back',$data);

        
    }

       public function send()
    {


        $data['orders'] = Order::where('optradio','send')->paginate(10);

        return view('frontview.home.send',$data);

        
    }


    public function returned()
    {


        $data['orders'] = Order::where('optradio','returned')->paginate(10);

        $no = 1;



        return view('frontview.home.returned',$data,compact('no'));

        
    }

    


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
  public function create()
    {
        $orders= Order::all();

        $getproducts = Product::all();
         $obj6 = [];
        foreach ($getproducts as $key => $value) {
            
           if($value->Quantity>1){
             $obj6[] =$value->id;
        
           }
     }
     
     $products = Product::whereIn('id',$obj6)->get();
     
     
     
    
    
        $bundles = Bundle::all();
        
        
        
        
        $countries = DB::table("countries")->pluck("name");
         $states = DB::table("states")->pluck("name");
        

        return view ('frontview.home.addorderscontents', compact('bundles','products','countries','states','orders'));
            
    }



    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
    
        
  if($request->Address !== null){
            
            $customeraddress = new Customeraddress();
             $customeraddress->phone =  $request->Phone;
              $customeraddress->address = $request->Address;
                $customeraddress->save();
              
              
        }
     
     
 

      $customer = Customer::where('Phone',$request->Phone)->first();
    if(empty($customer)){
    $customer = new Customer();
    $customer->name = $request->name;
    $customer->ref = $request->ref;
    $customer->Address = $request->Address;
    $customer->city = $request->city;
    $customer->Phone =  $request->Phone;
    $customer->gender = $request->gender;
    $customer->save();
}

    $cid = $customer->id;
    if($cid > 0){
    $order = new Order();
    $order->customer_id = $cid; 
    $order->order_from = $request->order_from;
    $order->order_type = $request->types;  
      $order->shipping = $request->shipping; 
       $order->city = $request->daewoocity; 
    $order->optradio =  "pendding";
    $order->bar =  "pendding";  
    
    $order->remarks =  $request->remarks;
    $order->order_by = Auth::user()->name;
    
     if($request->Address !== null){
     $order->address =  $request->Address;
     }
     
      if($request->xxx !== null){
    $order->address =  $request->xxx;
     }
    
    $order->pt_price = $request->pt_price;
    $order->bt_price = $request->bt_price;
    $order->ot_price=$request->ot_price;
    $fig= $order->weight=$request->ot_weight;
     $opo =(round($fig,3));
     $order->weight=$opo;
     
    
    
    $deli= $order->ot_price;
    
     if ($request->shippingcost != null  && $request->types =="COD"  ) { 
      
    $order->dp= $request->shippingcost;
     $deli= $order->ot_price+$request->shippingcost;
    }    
    
    if ($deli<949 && $request->types =="COD" && $request->shippingcost == null  ) { 
      
    $order->dp= '250';
     $deli= $order->ot_price+250;
    }    
  $order->ot_price=$deli;
     $order->save();

 }




   
   




$j = $order->id;
  if ($request['product_id'] != null){
    if($j > 0){
      for($id = 0; $id < count($request['product_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
        $orderdetails->product_id = $request['product_id'][$id];
      //  $orderdetails->bundle_id = $request['bundle_id'][$id];
        $orderdetails->quantity = $request['qty'][$id];
      // $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
        $orderdetails->unitprice = $request['price'][$id];
        //$orderdetails->bundleprice = $request['bundleprice'][$id];
        $orderdetails->discount = $request['dis'][$id];
        //$orderdetails->bundle_discount = $request['bundle_discount'][$id];
        $orderdetails->amount = $request['amount'][$id];
        //$orderdetails->bundle_amount = $request['bundle_amount'][$id];
         $product_qty_total[] = $request['qty'][$id];
       
        $orderdetails->save();
      }
    }
  }
    if(($request['bundle_id'] != null)){


      if($j > 0){
      for($id = 0; $id < count($request['bundle_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
      // $orderdetails->product_id = $request['product_id'][$id];
      $orderdetails->bundle_id = $request['bundle_id'][$id];
      //  $orderdetails->quantity = $request['qty'][$id];
        $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
      // $orderdetails->unitprice = $request['price'][$id];
        $orderdetails->bundleprice = $request['bundleprice'][$id];
        //$orderdetails->discount = $request['dis'][$id];
        
        //$orderdetails->amount = $request['amount'][$id];
        $orderdetails->bundle_amount = $request['bundle_amount'][$id];

        

       
        $orderdetails->save();
      }
    }

    }   
    
  
  
  
 
   
  


        
    
    return Redirect::to('orders')
    ->with('success','Greate! Orders created successfully.');
    }


    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     * 
     * 
     */
     
      public function print($id)
    {  
   
  
     
    $orders = OrderDetail::where('order_id',$id)->get();
                 
        foreach ($orders as $key => $value) {
            $order  = Order::where('id',$value->order_id)->first();
           
             
            
           }

              
      return view('myPDF',compact('orders','order'));

    }
 public function show($id)
    {  

     
    $orders = OrderDetail::where('order_id',$id)->get();
                 
        foreach ($orders as $key => $value) {
            $order  = Order::where('id',$value->order_id)->first();
           
             $previous = Order::where('id', '<', $value->order_id)->max('id');

                 $next = Order::where('id', '>', $value->order_id)->min('id');
             





           

           }

              
      return view('frontview.home.show_orders_contents',compact('orders','order','previous','next'));

    }
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */

    public function edit($id)
    {   

   

        $where = array('id' => $id);

         $order = Order::where($where)->first();
       
        $products = Product::all();
         $customers = Customer::where($where)->first();
        $bundles = Bundle::all();
        $countries = DB::table("countries")->pluck("name");
        $orderdetails = OrderDetail::where('order_id',$id)->get();
         
       

         
        
           
        return view('frontview.home.order_edit_content',compact('order','products','bundles','countries','orderdetails','customers'));
    }


       

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function updates(Request $request)
    {
         
    
   $update = ['name' => $request->name,'gender' => $request->gender,'Address' => $request->Address,'city' => $request->city,'Phone' => $request->Phone];
              Customer::where('id',$request->customerid)->update($update);
                    
              $order = Order::where('customer_id',$request->customerid)->latest()->first();
             
             if($order){
              $orderdetails = OrderDetail::where('order_id',$order->id)->get();
         
          if(!empty( $orderdetails )){

            foreach ($orderdetails as $key => $value) {
              
                $value->delete();
            }

            $order->delete();

}

}



    $cid = $request->customerid;
    if($cid > 0){
    $order = new Order();
    $order->customer_id = $cid; 
    $order->order_from = $request->order_from;
    $order->order_type = $request->types;
      
    $order->optradio =  "pendding";
    $order->bar =  "pendding";  
    
    $order->remarks =  $request->remarks;
    $order->order_by = Auth::user()->name;
    
    $order->pt_price = $request->pt_price;
    $order->bt_price = $request->bt_price;
    $order->ot_price=$request->ot_price;
    $fig= $order->weight=$request->ot_weight;
     $opo =(round($fig,3));
     $order->weight=$opo;
     
    
    
    $deli= $order->ot_price;
    if ($deli<949) { 
    $order->dp= '250';
     $deli= $order->ot_price+250;
    }    
   $order->ot_price=$deli;

     $order->save();

 }



 $j = $order->id;
  if ($request['product_id'] != null){
    if($j > 0){
      for($id = 0; $id < count($request['product_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
        $orderdetails->product_id = $request['product_id'][$id];
      //  $orderdetails->bundle_id = $request['bundle_id'][$id];
        $orderdetails->quantity = $request['qty'][$id];
       // $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
        $orderdetails->unitprice = $request['price'][$id];
        //$orderdetails->bundleprice = $request['bundleprice'][$id];
        $orderdetails->discount = $request['dis'][$id];
        //$orderdetails->bundle_discount = $request['bundle_discount'][$id];
        $orderdetails->amount = $request['amount'][$id];
        //$orderdetails->bundle_amount = $request['bundle_amount'][$id];
       
        $orderdetails->save();
      }
    }
  }
    if(($request['bundle_id'] != null)){


      if($j > 0){
      for($id = 0; $id < count($request['bundle_id']); $id++){
        $orderdetails = new OrderDetail;
        $orderdetails->order_id = $j;
       // $orderdetails->product_id = $request['product_id'][$id];
       $orderdetails->bundle_id = $request['bundle_id'][$id];
      //  $orderdetails->quantity = $request['qty'][$id];
        $orderdetails->bundle_quantity = $request['bundle_quantity'][$id];
       // $orderdetails->unitprice = $request['price'][$id];
        $orderdetails->bundleprice = $request['bundleprice'][$id];
        //$orderdetails->discount = $request['dis'][$id];
        
        //$orderdetails->amount = $request['amount'][$id];
        $orderdetails->bundle_amount = $request['bundle_amount'][$id];

        

    
        $orderdetails->save();
      }
    }

    }
      
 
  return Redirect::to('orders')
    ->with('success','Greate! Orders created successfully.');   


}



       
    


    public function changestatus(Request $request){
        
        
       //dd($request->optradio);
        
        $orderdetailsforstatus = Order::where('id',$request->id)->first();
        

$customerdetails = Customer::where('id',$orderdetailsforstatus->customer_id)->first();

$customerorderdetails = OrderDetail::where('order_id',$orderdetailsforstatus->id)->get();


$obj3= [];
$obj4= [];

foreach ($customerorderdetails as $key => $value) {


           
    if ($value->product) {
       if ($value->product->name) {
          if($value->amount == 0){
              $obj3[] =  $value->product->name." (QTY: ".$value->quantity.")(Free)";
            }else{
                $obj3[] =  $value->product->name." (QTY: ".$value->quantity.")";   
            }
    }
    }
     if ($value->Bundle) {
       if ($value->Bundle->name) {
          $obj4[] = $value->Bundle->name." (QTY: ".$value->bundle_quantity.")" ;

           


    }
    }

}
if ($orderdetailsforstatus->ot_price < 930) {
     
     $delv = 150;
}
else{
     $delv = 0;
}




 $vars1 = substr($customerdetails->Phone, -10);
 $vars2 = 92;

 $vars3 = $vars2 . $vars1;




  $grand = $orderdetailsforstatus->ot_price;


$order_details_for_free = OrderDetail::get();
// dd($order_details_for_free );


 $bundlename = implode("\n",  $obj4);
 $productname = implode("\n",  $obj3);
 
 $customername = $customerdetails->name;


        
        $odd =  Order::where('id',$request->id)->first();
      
      $next = Order::where('id', '>', $odd->id)->min('id');
              
     if($request->optradio == "delivered" || $request->optradio == "Approved" ){
        

     
    
        
      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
        
          $obj->bar = $request->barcodes;
         $obj->save();
         $details_order = OrderDetail::where('order_id',$obj->id)->get();
        
         if(!empty($details_order)){
         // $i= 0;
         foreach ($details_order as $key => $product_order) {
             $product   =  Product::where('id',$product_order->product_id)->first();
            
             if(!empty($product)){
                
               $todaydate = Carbon::now();
                $forfiestModel = Stock::where('product_id',$product->id)->latest()->first();
              
                $stock = new Stock();
               $stock->product_id = $product->id;
               $stock->ref = $product_order->order_id;
              
               $stock->stock_out = $product_order->quantity;
               $stock->remaining_qty = $forfiestModel->remaining_qty-$product_order->quantity;
               $stock->date = $todaydate->format('Y-m-d');
             
               $stock->save();
              
                    $update = $product->Quantity - $product_order->quantity;
                    $update_colum = ['Quantity'=> $update];
                   $product   =  Product::where('id',$product_order->product_id)->update($update_colum);
                   
                  
                 
                   
                   
                  
             }
            
      
         }
         // new bundle code ////
         
          foreach ($details_order as $key => $product_order) {
               
             $BundleDetail   =  BundleDetail::where('bundle_id',$product_order->bundle_id)->get();
              
             if(!empty($BundleDetail)){
            
              foreach ($BundleDetail as $key => $bundle) {
                  
               $bundle_qunatity  = $product_order->bundle_quantity;
              $total_bundle  =  $bundle_qunatity * $bundle->quantity;
            
                $product   =  Product::where('id',$bundle->product_id)->first();
                 if(!empty($product)){
                     
                    $forfiestModel = Stock::where('product_id',$product->id)->latest()->first();
                    
                     $todaydate = Carbon::now();

                $stock = new Stock();
               $stock->product_id = $product->id;
               $stock->ref = $product_order->order_id;
              
               $stock->stock_out = $total_bundle;
               $stock->remaining_qty = $forfiestModel->remaining_qty-$total_bundle;
               $stock->date = $todaydate->format('Y-m-d');
               
               
               $stock->save();
                     
                    $update = $product->Quantity - $total_bundle;
                    $update_colum = ['Quantity'=> $update];
                $product   =  Product::where('id',$bundle->product_id)->update($update_colum);
                
                
                   
                  
             }
              
              }
                 
             }
           
          
         }

        
          }

  $shiped =  Order::where('id',$request->id)->first();
   
if ($request->optradio == "delivered" && $shiped->shipping == "callcourier") {

             $partyobj=array();
            $partyobj['number']= $vars3;
            $partyobj['text']="Dear $customername,\n\n*Your Order has Been Dispatched.*\n*Delivery Time: 5 Working Days*\n\n*Your Products*\n$productname \n $bundlename\n*Delivery charges*:$delv\n*Grand Total:* $grand\n
                \n*Your Tracking Id Click Here*:\nhttps://callcourier.com.pk/tracking/?tc=$request->barcodes\n\n*For Further Information:*\n1.https://www.instagram.com/biocoscosmet
2.https://www.youtube.com/c/BiocosCosmetic\n3.https://www.biocospk.com\n*Thank You*\n*Biocos Int (PVT) LTD.*";
            $partyobj['instance']="biocos-promotions";
            $partyobj['token']="4d502c2fd9f00363aefb6bb53067dc8c";
    
            header('Content-Type: application/json'); // Specify the type of data
    
            $chrsm = curl_init('http://whatsapi.co.uk/api/sendMessage'); // Initialise cURL   
    
            $postPARTY = json_encode($partyobj); // Encode the data array into a JSON string
    
            curl_setopt($chrsm, CURLOPT_HTTPHEADER, array('Content-Type: application/json'  )); // Inject the token into the header
            curl_setopt($chrsm, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($chrsm, CURLOPT_POST, 1); // Specify the request method as POST
            curl_setopt($chrsm, CURLOPT_POSTFIELDS, $postPARTY); // Set the posted fields
            curl_setopt($chrsm, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
            $resultRSM = curl_exec($chrsm); // Execute the cURL statement
            curl_close($chrsm); // Close the cURL connection

             
          }
          
          //whatsapp for daewoo
          
          if ($request->optradio == "delivered" && $shiped->shipping == "Daewoo") {

             $partyobj=array();
            $partyobj['number']= $vars3;
            $partyobj['text']="Dear $customername,\n\n*Your Order has Been Dispatched.*\n*Delivery Time: 5 Working Days*\n\n*Your Products*\n$productname \n $bundlename\n*Delivery charges*:$delv\n*Grand Total:* $grand\n
                \n*You can track  Here*:\nhttp://fastex.pk\n\n *Your barcode number:*$shiped->bar \n\n*For Further Information:*\n1.https://www.instagram.com/biocoscosmet
2.https://www.youtube.com/c/BiocosCosmetic\n3.https://www.biocospk.com\n*Thank You*\n*Biocos Int (PVT) LTD.*";
            $partyobj['instance']="biocos-promotions";
            $partyobj['token']="4d502c2fd9f00363aefb6bb53067dc8c";
    
            header('Content-Type: application/json'); // Specify the type of data
    
            $chrsm = curl_init('http://whatsapi.co.uk/api/sendMessage'); // Initialise cURL   
    
            $postPARTY = json_encode($partyobj); // Encode the data array into a JSON string
    
            curl_setopt($chrsm, CURLOPT_HTTPHEADER, array('Content-Type: application/json'  )); // Inject the token into the header
            curl_setopt($chrsm, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($chrsm, CURLOPT_POST, 1); // Specify the request method as POST
            curl_setopt($chrsm, CURLOPT_POSTFIELDS, $postPARTY); // Set the posted fields
            curl_setopt($chrsm, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
            $resultRSM = curl_exec($chrsm); // Execute the cURL statement
            curl_close($chrsm); // Close the cURL connection

             
          }
            
      
       

}






              
     if($request->optradio == ""){

        

       $order =  Order::where('id',$request->id)->first();

       


        $countr=$order->customers->city;
        $tw=$order->weight;

       $f =  Country::where('name',$countr)->first();
         
     $half=$f->half_kg;
     
     $full = $f->one_kg;
   
    if($tw<=0.500)
    {
     $tc=$half;
    
    $order->cod_fee=$tc;
     
    }
    else if ($tw > 0.500 && $tw <= 1) {
       
         $tc= $full;
         $order->cod_fee=$tc;
         
     
    }
    else{
      

      $a = $tw;
      
      $a1 = substr($a, 0, strpos($a, "."));

    $add = $a1+1;
    
    $after_one_kg = $add*$full;
     
    $order->cod_fee=$after_one_kg;
    

          
    }

    
    $cash = $order->cod_fee;
  $order->cash_hand =$order->ot_price-$cash;
 $order->bar = $request->barcodes;


  
$order->save();




           /* $openning_balance = 0;

         
    
                            

      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
        
        $odr_amount=$obj->ot_price;

        $cod_amount =$obj->cod_fee=$request->tcs;
        
           
        $cash_hand = $odr_amount-$cod_amount;
        $openning_balance = $cash_hand;
         $obj->cash_hand = $cash_hand ;
          $obj->weight=$request->weight;
           $obj->cod_fee=$request->tcs;
            
             $obj->save();


              $getallbalance   = cod::where('type','sales')->get();

                if($getallbalance){

                    foreach ($getallbalance  as $key => $value) {
                          $openning_balance  = $openning_balance + $value->amount;

                        }
                }


            $order_id= $obj->id;
            $amount= $obj->cash_hand;
            $cod= new cod();
           $cod->detail_id = $order_id;
            $cod->amount = $cash_hand ;
            if(empty($getallbalance)){
            $cod->balance = $cash_hand;
        }else{
            $cod->balance = $openning_balance;
        }
             $cod->type = "sales";

             $cod->save();

*/
               
        
          
        

      
       

}


  if($request->optradio == "returned"){
      set_time_limit(0);
        $obj =  Order::where('id',$request->id)->first();
       

     
       

         $details_order = OrderDetail::where('order_id',$obj->id)->get();
         if(!empty($details_order)){
         // $i= 0;
         foreach ($details_order as $key => $product_order) {
             $product   =  Product::where('id',$product_order->product_id)->first();
            
             if(!empty($product)){
                 
                  $todaydate = Carbon::now();
                      $forfiestModel =Stock::where('product_id',$product->id)->latest()->first();
                $stock = new Stock();
               $stock->product_id = $product->id;
               $stock->ref = $product_order->order_id;
              
               $stock->stock_return = $product_order->quantity;
               $stock->remaining_qty = $forfiestModel->remaining_qty+$product_order->quantity;
               $stock->date = $todaydate->format('Y-m-d');
              
               $stock->save();
                 
                    $update = $product->Quantity + $product_order->quantity;
                    $update_colum = ['Quantity'=> $update];
                   $product   =  Product::where('id',$product_order->product_id)->update($update_colum);
                   
                  
             }
            
      
         }
         // new bundle code ////
         
          foreach ($details_order as $key => $product_order) {

             $BundleDetail   =  BundleDetail::where('bundle_id',$product_order->bundle_id)->get();
              
             if(!empty($BundleDetail)){

              foreach ($BundleDetail as $key => $bundle) {
               $bundle_qunatity  = $product_order->bundle_quantity;
              $total_bundle  =  $bundle_qunatity * $bundle->quantity;
            
                $product   =  Product::where('id',$bundle->product_id)->first();
                 if(!empty($product)){
                      $todaydate = Carbon::now();
                  $forfiestModel =Stock::where('product_id',$product->id)->latest()->first();
                $stock = new Stock();
               $stock->product_id = $product->id;
               $stock->ref = $product_order->order_id;
              
               $stock->stock_return = $total_bundle;
               $stock->remaining_qty = $forfiestModel->remaining_qty+$total_bundle;
               $stock->date = $todaydate->format('Y-m-d');
               
               
               $stock->save();
                     
                    $update = $product->Quantity + $total_bundle;
                    $update_colum = ['Quantity'=> $update];
                $product   =  Product::where('id',$bundle->product_id)->update($update_colum);
                   
                  
             }
              
              }
                 
             }
           
          
         }

        
          }
       

}

 
 $ship =  Order::where('id',$request->id)->first();

//whatsapp
    if ($request->optradio == "confirmed" ) {
        
      
        $ship =  Order::where('id',$request->id)->first();
       // dd($ship);
        
        
      $details_order = OrderDetail::where('order_id',$ship->id)->get();
               
               
               
                
        
                 
              if ($ship->order_type == "COD" ) {
          
            $ship =  Order::where('id',$request->id)->first();
        
         $fbr_array  = [];
         
         $fbr_array['InvoiceNumber'] = '';
         $fbr_array['POSID'] = 137690 ;
         $fbr_array['USIN'] = $ship->id ;
         $fbr_array['DateTime'] = $ship->created_at ;
          $fbr_array['BuyerNTN'] = 1234559 ;
            $fbr_array['BuyerCNIC'] = 12345-1234567-8 ;
         $fbr_array['BuyerName'] = $ship->customers->name ;
          $fbr_array['BuyerPhoneNumber'] = $ship->customers->Phone ;
          
        $fbr_array['TotalBillAmount'] = $ship->ot_price ;
        $fbr_array['TotalQuantity'] = 1 ;
          $fbr_array['TotalSaleValue'] = $ship->ot_price ;
          
          $fbr_array['TotalTaxCharged'] = 0 ;
        $fbr_array['Discount'] = 0;
          $fbr_array['FurtherTax'] = 0 ;
          $fbr_array['PaymentMode'] = 1 ;
        $fbr_array['RefUSIN'] = null ;
          $fbr_array['InvoiceType'] = 1;
        
          $items  = [];
          
      foreach ($details_order as $key => $value) {
          if($value->product_id == !null){
              
          $items[$key]['ItemCode'] = $value->product_id;
          $items[$key]['ItemName'] = $value->product->name;
          $items[$key]['Quantity'] = $value->quantity;
          $items[$key]['PCTCode'] = 11001010;
          $items[$key]['TaxRate'] = 0;
          $items[$key]['SaleValue'] = $value->amount;
          $items[$key]['TotalAmount'] = $value->amount;
          $items[$key]['Discount'] = 0;
          $items[$key]['TaxCharged'] = 0;
          $items[$key]['InvoiceType'] = 1;
          $items[$key]['RefUSIN'] = null;
      }  
      }
      $items['items']  = $items ;
      
      
    $data_arr = array_merge($fbr_array,$items);
    
      $itemss =json_encode($data_arr);
    
          
            
    //         $data = ['InvoiceNumber'=>'','POSID'=>137690,'USIN'=>$ship->id,'DateTime'=>$ship->created_at,'BuyerNTN'=>1234559,'BuyerCNIC'=>'12345-1234567-8','BuyerName'=>$ship->customers->name,'BuyerPhoneNumber'=>$ship->customers->Phone,'TotalBillAmount'=>$ship->ot_price,'TotalQuantity'=>0,'TotalSaleValue'=>$ship->ot_price,'TotalTaxCharged'=>0,'Discount'=>0,'FurtherTax'=>0,'PaymentMode'=>1,'RefUSIN'=>null,'InvoiceType'=>1,'Items'=>[['ItemCode'=>'IT_1011','ItemName'=>'Test Item','Quantity'=>1,'PCTCode'=>'11001010','TaxRate'=>0,'SaleValue'=>0,'TotalAmount'=>0,'Discount'=>0,'TaxCharged'=>0,'FurtherTax'=>0,'InvoiceType'=>1,'RefUSIN'=>null]]];
           
    //      // dd($data);
    //     $data_arr =   '{"InvoiceNumber":"","POSID":137690,"USIN":$ship->id,"DateTime":"2021-12-13 12:00:00","BuyerNTN":1234559,"BuyerCNIC":"31104-4144041-3","BuyerName":"Ali","BuyerPhoneNumber":"0306-0675099","TotalBillAmount":700,"TotalQuantity":5,"TotalSaleValue":0,"TotalTaxCharged":0,"Discount":0,"FurtherTax":0,"PaymentMode":1,"RefUSIN":null,"InvoiceType":1,"Items":[{"ItemCode":"BC_1011","ItemName":"Cream","Quantity":5,"PCTCode":"11001010","TaxRate":0,"SaleValue":0,"TotalAmount":500,"TaxCharged":0,"Discount":0,"FurtherTax":"0.0","InvoiceType":1,"RefUSIN":null}]}';
           
    //       dd($data_arr);
           
          $token = " 1298b5eb-b252-3d97-8622-a4a69d5bf818"; 
            
            header('Content-Type: application/json'); // Specify the type of data
      $ch = curl_init('https://gw.fbr.gov.pk/imsp/v1/api/Live/PostData'); // Initialise cURL
      // Encode the data array into a JSON string
      $authorization = "Authorization: Bearer ".$token; // Prepare the authorisation token
      curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json' , $authorization )); // Inject the token into the header
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
      curl_setopt($ch, CURLOPT_POST, 1); // Specify the request method as POST
      curl_setopt($ch, CURLOPT_POSTFIELDS, $itemss); // Set the posted fields
      curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
      $result = curl_exec($ch); // Execute the cURL statement
     
    
     $someArray = json_decode($result, true);
          // Dump all data of the Array
    
  $qrcode =  $someArray["InvoiceNumber"];
    curl_close($ch); // Close the cURL connection
      
                        
      $ship->fbr_code = $qrcode;
      
      $ship->save();

                        
                     
   
              }                   
         
         
      
        
        if ($ship->shipping == "Daewoo") {
          
          
          
          
         
          $result = [];
           
        foreach ($details_order as $key => $value) {
          
          
          
          
          
          if( !empty($value->product_id) && empty($value->bundle_id) ){
              $objj =$value->product->name;
          
              $objqty = $value->quantity;
                 $result[] = $objj . ' :' . $objqty;
              
          }
             if( !empty($value->bundle_id) && empty($value->product_id)){
                 
                  $objbundle =  $value->Bundle->name;
            
             $objbundleqty = $value->bundle_quantity;
             
              $result[] = $objbundle . ' :' . $objbundleqty;
             
             }
             
              if( !empty($value->bundle_id) && !empty($value->product_id) ){
                  $objj =$value->product->name;
                  $objqty = $value->quantity;
                  
                      $objbundle =  $value->Bundle->name;
            
                     $objbundleqty = $value->bundle_quantity;
                     
                     $products = $objj . ' :' . $objqty;
                     $bundles = $objbundle . ' :' . $objbundleqty;
                      $result[] = $products . ' :' . $objbundle;
                     
                     
                  
              }
              
             
            
              
            
                
          }
           
      $description  =  implode(" ",$result);
            
            
           
           
          
           
           
                      $data = array();
                        $data =array('order_no'=>$ship->id,'source_terminal_id'=>18,'destination_terminal_id'=>$ship->city,'receiver_name'=>$ship->customers->name,'receiver_cnic'=>00000000000,'receiver_mobile'=>$ship->customers->Phone,'receiver_address'=>$ship->customers->Address,'receiver_city'=>$ship->customers->city,'receiver_email'=>"sample@gmail.com",'remarks'=>"",'category_id'=>1,'qty'=>1,'weight'=>$ship->weight,'barcode'=>0,'cod_amount'=>$ship->ot_price,'source_location_point'=>'18.0','destination_location_point'=>$ship->city,'source_location_address'=>"Lahore",'destination_location_address'=>$ship->customers->city,'item_description'=>$description);
                          
                          header('Content-Type: application/json'); // Specify the type of data
                        $ch = curl_init('https://codapi.daewoo.net.pk/api/booking/quickBookV3?apiKey=$$biocosm_API_001X_PP$&apiUser=biocosmetics-001&apiPassword=$$biocosm_$$789'); // Initialise cURL
                        $post = json_encode($data);
                       
                         

                        // Encode the data array into a JSON string
                          curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'  )); // Inject the token into the header
                        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                        curl_setopt($ch, CURLOPT_POST, 1); // Specify the request method as POST
                        curl_setopt($ch, CURLOPT_POSTFIELDS, $post); // Set the posted fields
                        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
                        $result = curl_exec($ch); // Execute the cURL statement
                      
                        curl_close($ch); // Close the cURL connection
         
        }
        
        
        if($ship->shipping == "callcourier"){
            
          
           
          $result = [];
           
        foreach ($details_order as $key => $value) {
          
          
          
          
          
          if( !empty($value->product_id) && empty($value->bundle_id) ){
              $objj =$value->product->name;
          
              $objqty = $value->quantity;
                 $result[] = $objj . ' :' . $objqty;
              
          }
             if( !empty($value->bundle_id) && empty($value->product_id)){
                 
                  $objbundle =  $value->Bundle->name;
            
             $objbundleqty = $value->bundle_quantity;
             
              $result[] = $objbundle . ' :' . $objbundleqty;
             
             }
             
              if( !empty($value->bundle_id) && !empty($value->product_id) ){
                  $objj =$value->product->name;
                  $objqty = $value->quantity;
                  
                      $objbundle =  $value->Bundle->name;
            
                     $objbundleqty = $value->bundle_quantity;
                     
                     $products = $objj . ' :' . $objqty;
                     $bundles = $objbundle . ' :' . $objbundleqty;
                      $result[] = $products . ' :' . $objbundle;
                     
                     
                  
              }
              
             
            
              
            
                
          }
           
            $description  =  implode(" ",$result);
            
            
                        $data = array();
                        $data =array('orderRefNumber'=>$ship->id,
                        'invoicePayment'=>$ship->ot_price,
                        'orderDetail' => $description,
                        'customerName'=>$ship->customers->name,
                        'customerPhone'=>$ship->customers->Phone,
                        'deliveryAddress'=>$ship->customers->Address,
                        'cityName'=>$ship->customers->city,
                        'invoiceDivision' => '1',
                        'items' => '1',
                        'pickupAddressCode'=>'001',
                        'orderType'=>'Normal',
                        
                        );
                          
            
            
        $json_data =json_encode($data);
    
            
          //$token = "NmViYjczOTU5ZTQyNDBlMjk2M2M3ODA2ZDBmOGQwNTY6OTQ5YjgxMWNlZjczNDFlNzg5MDdlNjI2ODgzNTliZGU=";  ///sandbox token
          
          $token = "ZTI3YzVhNTVkNjNhNGI0ZWFmODI0YmVhNTQ2NmRhZTE6NTA2ZTM2OGI5ZDY4NGRiMjgwZjI1YmY1YzkyYTkyNjU="; /// production token
                
            header('Content-Type: application/json'); // Specify the type of data
            //Sandbox///
            //$ch = curl_init('https://stg-api.postex.pk/services/integration/api/order/v3/create-order'); // Initialise cURL
            
             
        
            
              $ch = curl_init('https://api.postex.pk/services/integration/api/order/v2/create-order'); // Initialise cURL  ////prduction///
              
              // Encode the data array into a JSON string
              //$authorization = "Authorization: Bearer ".$token; // Prepare the authorisation token
              curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json' , "token: " . $token )); // Inject the token into the header
              curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
              curl_setopt($ch, CURLOPT_POST, 1); // Specify the request method as POST
              curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data); // Set the posted fields
              curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
              $result = curl_exec($ch); // Execute the cURL statement
             
            
             $someArray = json_decode($result, true);
                  // Dump all data of the Array
            
            curl_close($ch); // Close the cURL connection
        }
       
        
        
              
        
       
        
         if ($ship->shipping == "M&P") {
          
          
          
         
           $result = [];
           
        foreach ($details_order as $key => $value) {
          
          
          
          
          
          if( !empty($value->product_id) && empty($value->bundle_id) ){
               $objj =$value->product->name;
          
              $objqty = $value->quantity;
                 $result[] = $objj . ' :' . $objqty;
              
          }
             if( !empty($value->bundle_id) && empty($value->product_id)){
                 
                  $objbundle =  $value->Bundle->name;
            
             $objbundleqty = $value->bundle_quantity;
             
               $result[] = $objbundle . ' :' . $objbundleqty;
             
             }
             
              if( !empty($value->bundle_id) && !empty($value->product_id) ){
                   $objj =$value->product->name;
                   $objqty = $value->quantity;
                  
                      $objbundle =  $value->Bundle->name;
            
                     $objbundleqty = $value->bundle_quantity;
                     
                     $products = $objj . ' :' . $objqty;
                     $bundles = $objbundle . ' :' . $objbundleqty;
                      $result[] = $products . ' :' . $objbundle;
                     
                     
                  
              }
              
             
            
              
            
                
           }
           
      $description  =  implode(" ",$result);
            
            
           
           
          
           
           
                      $data = array();
                        $data =array('username'=>"shahrukh_1b446",'password'=>"Biocos@2397",'consigneeName'=>$ship->customers->name,'consigneeAddress'=>$ship->customers->Address,'consigneeMobNo'=>$ship->customers->Phone,'consigneeEmail'=>"example@gmailcom",'destinationCityName'=>$ship->customers->city,'pieces'=>1,'weight'=>$ship->weight,'codAmount'=>$ship->ot_price,'custRefNo'=>$ship->customer_id,'productDetails'=>$description,'fragile'=>"Yes",'service'=> "O",'remarks'=>"Please call before delivery",'insuranceValue'=>"0");
                         
                         
                           header('Content-Type: application/json'); // Specify the type of data
                        $ch = curl_init('http://mnpcourier.com/mycodapi/api/Booking/InsertBookingData'); // Initialise cURL
                        $post = json_encode($data);
                       
                         

                        // Encode the data array into a JSON string
                          curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'  )); // Inject the token into the header
                        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                        curl_setopt($ch, CURLOPT_POST, 1); // Specify the request method as POST
                        curl_setopt($ch, CURLOPT_POSTFIELDS, $post); // Set the posted fields
                        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
                        $result = curl_exec($ch); // Execute the cURL statement
                     
                        curl_close($ch); // Close the cURL connection
         
        }
        
        
        
        
        
        
        
        
        
              $partyobj=array();
            $partyobj['number']= $vars3;
            $partyobj['text']="Dear $customername,\n\n*You Have placed an Order.*\n\n*Your Products*\n$productname \n $bundlename\n*Delivery charges*:$delv\n*Grand Total*:$grand\n\n*For Further Information:* \n https://www.instagram.com/biocoscosmet
https://www.youtube.com/c/BiocosCosmetic\n https://www.biocospk.com 
*Thank You*\n*Biocos Int (PVT) LTD.* \n";
            $partyobj['instance']="biocos-promotions";
            $partyobj['token']="4d502c2fd9f00363aefb6bb53067dc8c";
    
            header('Content-Type: application/json'); // Specify the type of data
    
            $chrsm = curl_init('http://whatsapi.co.uk/api/sendMessage'); // Initialise cURL   
    
            $postPARTY = json_encode($partyobj); // Encode the data array into a JSON string
    
            curl_setopt($chrsm, CURLOPT_HTTPHEADER, array('Content-Type: application/json'  )); // Inject the token into the header
            curl_setopt($chrsm, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($chrsm, CURLOPT_POST, 1); // Specify the request method as POST
            curl_setopt($chrsm, CURLOPT_POSTFIELDS, $postPARTY); // Set the posted fields
            curl_setopt($chrsm, CURLOPT_FOLLOWLOCATION, 1); // This will follow any redirects
            $resultRSM = curl_exec($chrsm); // Execute the cURL statement
            curl_close($chrsm); // Close the cURL connection
            
            
            
      }
      
      









$update = ['optradio' => $request->optradio];
Order::where('id',$request->id)->update($update);
if(Auth::user()->is_admin==1)
{
   
return redirect('/orders/'.$next);

}
else
{
 return redirect('/confirmed');
}
}















public function destroy(Request $request, $id)
{
    
    
    Order::where('id',$id)->delete();
         

   
   
   
   

    return Redirect::to('orders')->with('success','orders deleted successfully');
}

}