<?php
   
namespace App\Http\Controllers;
   
use App\Product;
use App\Stock;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Redirect;
use PDF;
use DB;
   
class ProductController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function __construct()
    {
        $this->middleware('auth');
    }
    public function addStockForm(Request $request)
    {
        
        $search = $request['search'] ?? "";
        
        if($search != ""){
            
            $products = Product::where('name','LIKE','%'.$search.'%')->orWhere('id','LIKE','%'.$search.'%')->get();
            
        }
        else{
          $products = Product::orderBy('id','desc')->paginate(200);  
        }
        
       
   
        return view('frontview.home.allproductscontent',compact('products','search'));

    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
        return view('frontview.home.addproductscontents');
    }
    
    
  
       
       
       
    
     public function createproduct()
    {
        
       
        
        return view('frontview.create_product_content');
    }
    
     public function ledger()
    {
        
        $allproductsdetails = Productdetail::get();
        
        return view('frontview.product_ledger',compact('allproductsdetails'));
    }
    
     public function stkreport()
    {
         $produccts_array =[]; 
        $allproducts = Product::get();
     
     foreach ($allproducts as $key => $val) {
            $produccts_array[] = $val->id;
           
          }
          
          
          $date1 = Carbon::now()->startOfMonth()->toDateString();
          $date2 = Carbon::now()->endOfMonth()->toDateString();
    
    
          
           
           
             $fulldetails = Productdetail::select('product_id',DB::raw('sum(stock_in) as total_stock_in'),DB::raw('sum(stock_out) as total_stock_out'),DB::raw('sum(stock_return) as total_stock_return'))->wherein('product_id',$produccts_array)
             ->groupBy('product_id')->whereBetween('date', [$date1, $date2])->get();

           
          
   
        
          
        return view('frontview.home.stockreportcontent',compact('fulldetails','date1','date2'));
    }
    
    
    public function getproductdetailsbydate(Request $request)
    
    {
        
       
         $produccts_array =[]; 
        $allproducts = Product::get();
     
     foreach ($allproducts as $key => $val) {
            $produccts_array[] = $val->id;
           
          }
          
             $date1 = $request->first;
             $date2 = $request->last;
         
        
          $fulldetails = Productdetail::select('product_id',DB::raw('sum(stock_in) as total_stock_in'),DB::raw('sum(stock_out) as total_stock_out'),DB::raw('sum(stock_return) as total_stock_return'))->wherein('product_id',$produccts_array)
             ->groupBy('product_id')->whereBetween('date', [$date1, $date2])->get();

    return view('frontview.home.stockfiltercontent',compact('fulldetails','date1','date2'));
}
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        
    
        $request->validate([
            'name' => 'required',
            'Quantity' => 'required',
            'price' => 'required',
            
            
        ]);
   
     

              $product = new Product();
              $product->name =  $request->name;
              $product->Quantity = $request->Quantity;
              $product->price = $request->price;
              $product->weight = $request->weight;
              $product->opening_qty = $request->opening;
              
                $product->save();
      $todaydate = Carbon::now()->toDateString();
      $productdetail = new Productdetail();
      
      $productdetail->ref =  0;
       $productdetail->product_id = $product->id;
       $productdetail->stock_in = $request->Quantity;
        $productdetail->stock_out = 0;
       $productdetail->stock_return = 0;
       $productdetail->remaining_qty = $request->Quantity;
        $productdetail->date = $todaydate; 
         $productdetail->save();


        return Redirect::to('products')

       ->with('success','Greate! Product created successfully.');
    }
    
    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */


    

    public function requests($id)
    {
        $where = array('id' => $id);
        $data = Product::where($where)->first();
         return view('frontview.home.requestcontent',compact('data'));
    }
    public function show($id)
    {
        
       
        $latests = Product::where('id',$id)->latest()->first();
        return view('frontview.home.addqtycontent', compact('latests'));
        
    }
    
    
     public function newstock(Request $request)
    {
        dd($request);
        
    }
    

 public function addStock(Request $request)
    {
      
        
        $todaydate = Carbon::now();

      

                // $latestdetail = Stock::where('product_id',$request->productid)->first();
              
                
            //     $productdetails = new Stock();
            //   $productdetails->product_id = $request->productid;
            //   $productdetails->stock_in = $request->Currentqty;
            //     $productdetails->remaining_qty = $latestdetail->remaining_qty+ $request->Currentqty;
            //   $productdetails->date = $todaydate->format('Y-m-d');
        $formData = $request->all();  
       
      
        $stock = new Stock();
        $product = new Product();
        $stock->handleStock($formData, $product);
        
               return redirect()->route('products.index')
                        ->with('success','Quantity Added successfully');
    }

    public function storereq(Request $request)
    {
          
          $update = ['request' => $request->prereq+$request->Currentreq];
              
              Product::where('id',$request->productid)->update($update);
                
               return redirect()->route('products.index')
                        ->with('success','Request Added successfully');
    }


    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {   

      
        $where = array('id' => $id);
        $data['product_info'] = Product::where($where)->first();
 
        return view('frontview.home.editcontent', $data);
    }

   


   
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            
            'Quantity' => 'required',
            'price' => 'required',
            
        ]);
         
        $update = [ 'Quantity' => $request->Quantity,'price' => $request->price];
        Product::where('id',$id)->update($update);
   
        return Redirect::to('products')
       ->with('success','Great! Product updated successfully');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Product::where('id',$id)->delete();
   
        return Redirect::to('products')->with('success','Product deleted successfully');
    }
     
}