<?php

namespace App\Http\Controllers;

use App\Stock;
use Illuminate\Http\Request;
use Redirect;
use PDF;

class StockController extends Controller
{

	 public function __construct()
    {
        $this->middleware('auth');
    }


    public function index()
    {
        $data['stocks'] = Stock::orderBy('id','desc')->paginate(10);
   
        return view('frontview.home.Allstockscontent',$data);

    }

    public function create()
    {
        
        return view('frontview.home.addstockscontents');
    }


    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'Quantity' => 'required',
            'price' => 'required',
            'description' => 'required',
        ]);
   
        Stock::create($request->all());


    
        return Redirect::to('stocks')
       ->with('success','Greate! stock created successfully.');
    }


    public function show(Request $request)
    {
         
    }
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {   
        $where = array('id' => $id);
        $data['stock_info'] = Stock::where($where)->first();
 
        return view('frontview.home.stockeditcontent', $data);
    }
   
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            
            'Quantity' => 'required',
            'price' => 'required',
            
        ]);
         
        $update = [ 'Quantity' => $request->Quantity,'price' => $request->price];
        Stock::where('id',$id)->update($update);
   
        return Redirect::to('stocks')
       ->with('success','Great! stocks updated successfully');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Stock::where('id',$id)->delete();
   
        return Redirect::to('stocks')->with('success','Product deleted successfully');
    }
    
}
