<!DOCTYPE html>
<html>


<head>
  @yield('head')

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>



</head>

<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

  <!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
      </li>
      
      
    </ul>

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
      
    </form>

  </nav>

  <!-- Main Sidebar Container -->
 
 @include('frontview.inc.sidebar2')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Head Office Stock</h1>
          </div><!-- /.col -->
          <!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
<a href="{{ route('stocks.create') }}" class="btn btn-success mb-2">Add</a> 
    <!-- Main content -->
        <div class="row">
    <div class="col-2">
      <input id="myInput" type="text" class="form-control" placeholder="Search..">
    </div>
   </div>  
  
   <div class="row">
        <div class="col-12">
          <div class="card">
          <table class="table table-bordered" id="laravel_crud">
           <thead>
              <tr>
                 <th>Product Code</th>
                 <th>name</th>
                 <th>Quintity</th>
                  <th>Price</th>
                 <th>Description</th>
                 <th>Created at</th>
                 <td colspan="2">Action</td>
              </tr>
           </thead>
           <tbody id="myTable">
              @foreach($stocks as $stock)
              <tr>
                 <td>{{$stock->id }}</td>
                 <td>{{ $stock->name}}</td>
                 <td>{{ $stock->Quantity }}</td>
                 <td>{{ $stock->price }}</td>
                 <td>{{ $stock->description }}</td>
                 <td>{{ date('Y-m-d', strtotime($stock->created_at)) }}</td>
                 <td><a href="{{ route('stocks.edit',$stock->id)}}" class="btn btn-primary">Update</a></td>
                 <td>
                 <form action="{{ route('stocks.destroy', $stock->id)}}" method="post">
                  {{ csrf_field() }}
                  @method('DELETE')
                  <button class="btn btn-danger" type="submit">Delete</button>
                </form>
                </td>
              </tr>
              @endforeach
           </tbody>
          </table>
          {!! $stocks->links() !!}
       </div> 
   </div>
    </div></div>
    <!-- /.content -->

</div>
  <!-- /.content-wrapper -->
  @yield('footer')
</body>
</html>
