<!DOCTYPE html>
<html>


<head>
  @yield('head')
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

  <!-- Navbar -->


  <!-- Main Sidebar Container -->
 
 @include('frontview.inc.sidebar2')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">All Bundles</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Whatsapp</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
 <div class="container">
      <br><br><br>
       <a href="{{ route('bundles.create') }}" class="btn btn-success mb-2">Add</a> 
  <br>
   <div class="row">
    <div class="col-2">
      <input id="myInput" type="text" class="form-control" placeholder="Search..">
    </div>
   </div>
   <div class="row">
        <div class="col-12">
           <div class="card">
          
          <table class="table table-bordered" id="laravel_crud">
           <thead>
              <tr>
                 <th>Bundle Code</th>
                 <th>Bundle name</th>
                 <th>Bundle Description</th>
                 <th>Bundle Price</th>
                 <th>Created at</th>
                 <td colspan="3">Action</td>
              </tr>
           </thead>
           <tbody id="myTable">
              @foreach($bundles as $bundle)
              <tr>
                 <td><span>BCB#</span>{{ $bundle->id }}</td>
                 <td>{{ $bundle->name}}</td>
                 <td>{{ $bundle->description }}</td>
                 <td>{{ $bundle->totalvalue}}</td>
                 <td>{{ date('Y-m-d', strtotime($bundle->created_at)) }}</td>
                 <td><a href="{{ route('bundles.show',$bundle->id)}}" class="btn btn-success">Detail</a></td>
                 <td><a href="{{ route('bundles.edit',$bundle->id)}}" class="btn btn-primary">Edit</a></td>
                 <td>
                 <form action="{{ route('bundles.destroy', $bundle->id)}}" method="post">
                  {{ csrf_field() }}
                  @method('DELETE')
                  <button class="btn btn-danger" type="submit">Delete</button>
                </form>
                </td>
              </tr>
              @endforeach
           </tbody>
          </table>
          {!! $bundles->links() !!}
       </div> 
   </div>
    </div>
  </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @yield('footer')
</body>
</html>
