<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Route::get('login', 'Auth\LoginController@login');

Route::get('logout', 'Auth\LoginController@logout', function () {
 return abort(404);
});
Auth::routes();

Route::get('admin/home', 'AdminController@index2')->name('dashboard')->middleware('is_admin');

Route::resource('products', 'ProductController')->middleware('is_admin');
Route::get('product/{id}/request', 'ProductController@requests')->name('request.product')->middleware('is_admin');
Route::get('add-stock-form', 'ProductController@addStockForm')->middleware('is_admin');
Route::get('stock-report', 'ProductController@stkreport')->middleware('is_admin');
Route::post('add-stock', 'ProductController@addStock')->name('product.addStock')->middleware('is_admin');
Route::post('requestemore', 'ProductController@storereq')->name('product.req')->middleware('is_admin');
Route::resource('stocks', 'StockController')->middleware('is_admin');
Route::resource('bundles', 'BundlesController')->middleware('is_admin');
Route::resource('orders', 'OrdersController')->middleware('is_admin');
Route::post('/orderupdates','OrdersController@updates')->name('order.updates')->middleware('is_admin');
Route::post('/orderchange','OrdersController@changestatus')->name('order.status')->middleware('is_admin');
Route::get('pendding', 'OrdersController@pendding')->middleware('is_admin');
Route::get('new', 'OrdersController@new')->middleware('is_admin');
Route::get('confirmed', 'OrdersController@confirmed')->name('confirmed')->middleware('is_admin');
Route::get('cancele', 'OrdersController@cancele')->middleware('is_admin');
Route::get('delivered', 'OrdersController@delivered')->middleware('is_admin');
Route::get('returned', 'OrdersController@returned')->middleware('is_admin');
Route::get('fulfil', 'AdminController@orderdetail')->middleware('is_admin');
Route::get('back', 'OrdersController@back')->middleware('is_admin');
Route::get('send', 'OrdersController@send')->middleware('is_admin');

Route::get('Performance', 'AdminController@performance')->middleware('is_admin');
Route::get('admin_performance', 'AdminController@performance_admin')->middleware('is_admin');
Route::get('user1_performance', 'AdminController@performance_user1')->middleware('is_admin');
Route::get('user2_performance', 'AdminController@performance_user2')->middleware('is_admin');
Route::get('super_admin_performance', 'AdminController@performance_super_admin')->middleware('is_admin');
Route::get('channel', 'AdminController@channel')->middleware('is_admin');
Route::get('allsales', 'AdminController@allsales')->middleware('is_admin');

Route::get('get-state-list','OrdersController@getStateList')->middleware('is_admin');
Route::get('get-city-list','OrdersController@getCityList')->middleware('is_admin');
Route::get('allcustomers','CustomerController@allcustomers')->middleware('is_admin');
Route::get('sales','SalesController@index')->middleware('is_admin');

Route::get('show/{id}','CustomerController@show')->name('show')->middleware('is_admin');
Route::get('cods','AdminController@cods')->middleware('is_admin');
Route::get('freesample','AdminController@freesample')->middleware('is_admin');
Route::get('bloggers','AdminController@bloggers')->middleware('is_admin');
Route::get('cash','AdminController@cash')->middleware('is_admin');

Route::get('search','CustomerController@search')->name('search')->middleware('is_admin');
Route::get('searchaddressget','CustomerController@searchaddressget')->name('searchaddressget')->middleware('is_admin');
Route::post('/daterange/fetch_data', 'AdminController@fetch_data')->name('daterange.fetch_data')->middleware('is_admin');
Route::get('whatsapp','CustomerController@whsts')->name('apps')->middleware('is_admin');
Route::post('/messagesubmit','CustomerController@message')->name('whats.message')->middleware('is_admin');
Route::post('add/newaddress', 'CustomerController@addaddress')->name('new.address')->middleware('is_admin');
Route::get('/tasks', 'CustomerController@exportCsv')->name('export.csv')->middleware('is_admin');
Route::post('productgetstates','OrdersController@getStates')->name('productgetstate')->middleware('is_admin');
Route::get('productmostsell','AdminController@mostsell')->name('mostselling')->middleware('is_admin');
Route::post('stockdetailsbydate','ProductController@getproductdetailsbydate')->name('productgetdetails')->middleware('is_admin');
Route::get('generate-invoice-pdf','OrdersController@generateInvoicePDF')->middleware('is_admin');
Route::get('print/{id}','OrdersController@print')->name('orders.print')->middleware('is_admin');
Route::get('ledger','ProductController@ledger')->middleware('is_admin');
Route::get('autocomplete-search-query', 'ProductController@autocomplete')->name('autocomplete-search-query')->middleware('is_admin');
Route::get('select2-autocomplete-ajax','ProductController@dataAjax')->middleware('is_admin');
Route::post('new-stock', 'ProductController@newstock')->name('add.newstock')->middleware('is_admin');
Route::get('/search/', 'ProductController@search')->name('search')->middleware('is_admin');











